import { Ref } from 'vue';
import { BasicTarget } from '../utils/domTarget';
export type ResizeObserverCallback = (entries: ReadonlyArray<ResizeObserverEntry>, ob: ResizeObserver) => void;
export interface UseResizeObserverOptions {
    /**
     * The box the observer is observing changes to.
     * The default is content-box.
     *
     * @default 'content-box'
     */
    box?: ResizeObserverBoxOptions;
}
export interface UseResizeObserverReturnType {
    isSupported: Ref<boolean>;
    stop: () => void;
}
export default function useResizeObserver(target: BasicTarget | BasicTarget[], callback: ResizeObserverCallback, options?: UseResizeObserverOptions): UseResizeObserverReturnType;
