import { Ref } from 'vue';
import { BasicTarget } from '../utils/domTarget';
export interface UseElementBoundingOptions {
    /**
     *
     * When the component is mounted, initialize all values to 0
     *
     * @default true
     */
    reset?: boolean;
    /**
     *
     * windowResize
     *
     * @default true
     */
    windowResize?: boolean;
    /**
     *
     * windowScroll
     *
     * @default true
     */
    windowScroll?: boolean;
    /**
     *
     * immediate
     *
     * @default true
     */
    immediate?: boolean;
}
export interface UseElementBoundingReturnType {
    width: Ref<number>;
    height: Ref<number>;
    top: Ref<number>;
    left: Ref<number>;
    bottom: Ref<number>;
    right: Ref<number>;
}
export default function useElementBounding(target: BasicTarget, options?: UseElementBoundingOptions): UseElementBoundingReturnType;
