import { BasicTarget } from '../utils/domTarget';
export interface UseFullscreenOptions {
    /**
     * Exit full screen trigger
     * @returns void
     */
    onExit?: () => void;
    /**
     * Enter full screen trigger
     * @returns void
     */
    onEnter?: () => void;
    /**
     *
     * The element enters full screen by default when the binding element is not found or the element is not passed
     * @default html
     */
    defaultElement?: HTMLElement | Element;
}
declare const useFullscreen: (target?: BasicTarget, options?: UseFullscreenOptions) => readonly [Readonly<import("vue").Ref<boolean>>, {
    readonly enterFullscreen: () => void;
    readonly exitFullscreen: () => void;
    readonly toggleFullscreen: () => void;
    readonly isEnabled: true;
}];
export default useFullscreen;
